Loading...
Searching...
No Matches
Frame check sequence calculation

## Classes

class | etl::frame_check_sequence< TPolicy >

## Detailed Description

## Class Documentation

## etl::frame_check_sequence

class etl::frame_check_sequence

template<typename TPolicy>
class etl::frame_check_sequence< TPolicy >

Calculates a frame check sequence according to the specified policy.

Template Parameters

  TPolicy | The type used to enact the policy.

### Public Types

typedef TPolicy | policy_type
typedef policy_type::value_type | value_type
typedef private_frame_check_sequence::add_insert_iterator< frame_check_sequence< TPolicy > > | add_insert_iterator

### Public Member Functions

| ETL_STATIC_ASSERT (etl::is_unsigned< value_type >::value, "Signed frame check type not supported")
ETL_CONSTEXPR14 | frame_check_sequence ()
| Default constructor.
template<typename TIterator>
ETL_CONSTEXPR14 | frame_check_sequence (TIterator begin, const TIterator end)
ETL_CONSTEXPR14 void | reset ()
| Resets the FCS to the initial state.
template<typename TIterator>
ETL_CONSTEXPR14 void | add (TIterator begin, const TIterator end)
ETL_CONSTEXPR14 void | add (uint8_t value_)
ETL_CONSTEXPR14 value_type | value () const
| Gets the FCS value.
ETL_CONSTEXPR14 | operator value_type () const
| Conversion operator to value_type.
ETL_CONSTEXPR14 add_insert_iterator | input ()
| Gets an add_insert_iterator for input.

#### Constructor & Destructor Documentation

## frame_check_sequence()

template<typename TPolicy>
template<typename TIterator>

ETL_CONSTEXPR14 etl::frame_check_sequence< TPolicy >::frame_check_sequence | ( | TIterator | begin,
|  | const TIterator | end )

inline

Constructor from range.

Parameters

  begin | Start of the range.
  end | End of the range.

#### Member Function Documentation

## add() [1/2]

template<typename TPolicy>
template<typename TIterator>

ETL_CONSTEXPR14 void etl::frame_check_sequence< TPolicy >::add | ( | TIterator | begin,
|  | const TIterator | end )

inline

Adds a range.

Parameters

  begin |
  end |

## add() [2/2]

template<typename TPolicy>

ETL_CONSTEXPR14 void etl::frame_check_sequence< TPolicy >::add | ( | uint8_t | value_ | ) |

inline

Parameters

  value | The uint8_t to add to the FCS.